/*
 * @Author: XianKaiQun
 * @Date: 2020-07-31 14:46:38
 * @LastEditors: XianKaiQun
 * @LastEditTime: 2020-08-10 15:42:26
 * @Description: 
 */
part of '../index.dart';

class _DescComponent extends StatelessWidget {
  const _DescComponent({Key? key}) : super(key: key);
  @override
  Widget build(BuildContext context) {
    final store = Provider.of<PrivateSecurityDetailStore>(context);
    // final style = WTheme.of(context);final colorScheme = style.colorScheme;
    final theme = Theme.of(context);
    final textTheme = theme.textTheme;
    final data = store.data;
    if (data == null) {
      return SliverToBoxAdapter();
    }
    return Wisdom.column(
      padding: EdgeInsets.fromLTRB(15.pt, 15.pt, 15.pt, 0),
      margin: EdgeInsets.symmetric(horizontal: 15.pt),
      crossAxisAlignment: CrossAxisAlignment.stretch,
      children: <Widget>[
        Text(
          '${data.positionName ?? ''}',
          style: textTheme.titleMedium!.copyWith(
            fontWeight: FontWeight.bold,
          ),
        ),
        Divider(height: 30.pt),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            Text('操作时间'),
            Text('${data.createdAt ?? ''}'),
          ],
        ),
        SizedBox(height: 18.pt),
        Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            Text('操作员'),
            Text('${data.createdName ?? ''}'),
          ],
        ),
      ],
    ).asSliver();
  }
}
